#!/bin/bash

#download data
wget ftp://ftp.sra.ebi.ac.uk/vol1/fastq/SRR292/SRR292770/SRR292770_1.fastq.gz
wget ftp://ftp.sra.ebi.ac.uk/vol1/fastq/SRR292/SRR292770/SRR292770_2.fastq.gz

#dowload Velvet
wget http://www.ebi.ac.uk/~zerbino/velvet/velvet_1.2.10.tgz
tar zxvf velvet_1.2.10.tgz
rm velvet_1.2.10.tgz

#download Bandage for a visualization
#https://rrwick.github.io/Bandage/
wget https://github.com/rrwick/Bandage/releases/download/v0.8.1/Bandage_Ubuntu_dynamic_v0_8_1.zip
unzip Bandage_Ubuntu_dynamic_v0_8_1.zip -d Bandage
rm Bandage_Ubuntu_dynamic_v0_8_1.zip

#download and install Velvet assembler from http://www.ebi.ac.uk/~zerbino/velvet/
cd velvet_1.2.10
make MAXKMERLENGTH=60 OPENMP=1
cd ..

#run velveth - produce hash table of the reads using the specific k-mer length (k=35), saving them to the folder "out_data"
# -shortPaired and -separate tag tells Velvet we are supplying short, paired end reads with separate files for forward and reverse reads

./velvet_1.2.10/velveth out_data_35 35 -fastq.gz -shortPaired -separate SRR292770_1.fastq.gz SRR292770_2.fastq.gz

#run velvetg - build de Bruijn graph
./velvet_1.2.10/velvetg out_data_35 -clean yes -exp_cov 21 -cov_cutoff 2.81 -min_contig_lgth 200

#31-mer
./velvet_1.2.10/velveth out_data_31 31 -fastq.gz -shortPaired -separate SRR292770_1.fastq.gz SRR292770_2.fastq.gz
./velvet_1.2.10/velvetg out_data_31 -clean yes -exp_cov 21 -cov_cutoff 2.81 -min_contig_lgth 200

#41-mer
./velvet_1.2.10/velveth out_data_41 41 -fastq.gz -shortPaired -separate SRR292770_1.fastq.gz SRR292770_2.fastq.gz
./velvet_1.2.10/velvetg out_data_41 -clean yes -exp_cov 21 -cov_cutoff 2.81 -min_contig_lgth 200


